#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

    static void handleLibGitError(int err);

private slots:
    void on_actionCreate_repository_triggered();

    void on_actionOpen_repository_triggered();

    void on_actionExit_triggered();

    void on_actionRefresh_triggered();

    void on_actionRevision_Details_triggered();

    void on_actionCommit_triggered();

    void on_actionSynchronise_triggered();

    void on_tabWidget_currentChanged(int index);

    void on_actionClose_repository_triggered();

    void on_tabWidget_tabCloseRequested(int index);

    void on_actionClear_recent_history_triggered();

private:
    Ui::MainWindow *ui;

    void viewRepository(const QString& path);

    void refreshViewState();

    void addToRecentRepositories(const QString& path);
};

#endif // MAINWINDOW_H
