#ifndef REPOSITORYVIEW_H
#define REPOSITORYVIEW_H

#include <QWidget>
#include <QTreeWidgetItem>
#include <git2.h>

namespace Ui {
class RepositoryView;
}

class RepositoryView : public QWidget
{
    Q_OBJECT

public:
    explicit RepositoryView(git_repository *r, const QString& shortName, QWidget *parent = 0);
    ~RepositoryView();

    void refreshView();
    void viewInfoPage();
    void viewCommitPage();
    void viewSyncPage();
    const QString& getShortName();

    void viewInfoFor(const QString& revisionSha);

private slots:
    void on_commitHistoryTree_currentItemChanged(QTreeWidgetItem *current, QTreeWidgetItem *previous);

    void on_commitRefreshView_clicked();

    void on_stageFilesTree_currentItemChanged(QTreeWidgetItem *current, QTreeWidgetItem *previous);

    void on_pushButton_clicked();

private:
    Ui::RepositoryView *ui;
    git_repository *r;
    git_status_list *lastStatus;
    QString shortName;

    void refreshStatus();

    void commit();

};

#endif // REPOSITORYVIEW_H
